import React from "react";
import { Text, View } from "react-native";
import { I18n } from "i18n-js";

const i18n = new I18n({
  en: { hello: "Hello!" },
  pt: { hello: "Olá!" },
});

i18n.availableLocales = ["en", "pt"];
i18n.defaultLocale = "pt";
i18n.locale = "pt";

function App() {
  return (
    <View style={[{ flex: 1, alignItems: "center", justifyContent: "center" }]}>
      <Text>{i18n.t("hello")}</Text>
    </View>
  );
}

export default App;
